
function setProperty() {

    new Ajax.Request('../resources/session-validate.jsp',
    {
        method:'post',
        asynchronous:false,
        onSuccess: function(transport) {
            var returnValue = transport.responseText;
            if(returnValue.search(/----timeout----/) == -1){
                CARBON.showErrorDialog("Session timed out. Please login again",function(){
                    location.href="../admin/logout_action.jsp";
                    return;
                });
            } else {
                var reason="";
                reason +=validateEmpty(document.getElementById('propName'), "Property Name");
                if (reason == "") {
                    reason +=validateEmpty(document.getElementById('propValue'), "Property Value");
                }
                if (reason == "") {
                    reason +=validateForInput(document.getElementById('propName'), "Property Name");
                }
                if (reason == "") {
                    reason +=validateForInput(document.getElementById('propValue'), "Property Value");
                }
                var resourcePath = $('propRPath').value;
                var propertyName = $('propName').value;
                var propertyValue = $('propValue').value;

                if(reason == ""){
                    propertyValue = propertyValue.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
                    if (propertyValue == "") {
                        reason = "Property value cannot contain only white spaces";
                    }

                    propertyName = propertyName.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
                    if (propertyName == "") {
                        reason = "Property name cannot contain only white spaces";
                    }
                }

                if(reason!=""){
                    CARBON.showWarningDialog(reason);
                    return false;
                }else{
                    cleanField($('propName'));
                    cleanField($('propValue'));

                    new Ajax.Request('../properties/properties-ajaxprocessor.jsp',
                    {
                        method:'post',
                        parameters: {path: resourcePath, name: propertyName, value: propertyValue},

                        onSuccess: function(transport) {
                            $('resourceProperties').innerHTML = transport.responseText;
                            $('propertiesList').style.display = "";
                            $('propertiesIconExpanded').style.display = "";
                            $('propertiesIconMinimized').style.display = "none";
                            refreshMetadataSection(resourcePath);
                        },

                        onFailure: function() {
                        }
                    });
                    showHideCommon('propertiesAddDiv');
                }
            }
        },
        onFailure: function(transport) {

        }
    });
}

function editProperty(rowid) {
    new Ajax.Request('../resources/session-validate.jsp',
    {
        method:'post',
        asynchronous:false,
        onSuccess: function(transport) {
            var returnValue = transport.responseText;
            if(returnValue.search(/----timeout----/) == -1){
                CARBON.showErrorDialog("Session timed out. Please login again",function(){
                    location.href="../admin/logout_action.jsp";
                    return;
                });
            } else {
                var reason = "";

                var resourcePath = document.getElementById('propRPath_'+rowid).value;
                var oldPropertyName = document.getElementById('oldPropName_'+rowid).value;
                var propertyName = document.getElementById('propName_'+rowid);
                reason += validateEmpty(propertyName,'Property Name');
                reason += validateForInput(propertyName,'Property Name');
                var propertyValue = document.getElementById('propValue_'+rowid);
                reason += validateEmpty(propertyValue,'Property Value');
                reason += validateForInput(propertyValue,'Property Value');
                if(reason==""){
                    new Ajax.Request('../properties/properties-ajaxprocessor.jsp',
                    {
                        method:'post',
                        parameters: {path: resourcePath, oldName: oldPropertyName, name: propertyName.value, value: propertyValue.value},

                        onSuccess: function(transport) {
                            $('resourceProperties').innerHTML = transport.responseText;
                            $('propertiesList').style.display = "";
                            $('propertiesIconExpanded').style.display = "";
                            $('propertiesIconMinimized').style.display = "none";
                            refreshMetadataSection(resourcePath);
                        },

                        onFailure: function() {
                        }
                    });
                }else{
                    CARBON.showWarningDialog(reason);
                    return false;
                }
            }
        },
        onFailure: function(transport) {

        }
    });

}

function removeProperty(propertyName) {

    new Ajax.Request('../resources/session-validate.jsp',
    {
        method:'post',
        asynchronous:false,
        onSuccess: function(transport) {
            var returnValue = transport.responseText;
            if(returnValue.search(/----timeout----/) == -1){
                CARBON.showErrorDialog("Session timed out. Please login again",function(){
                    location.href="../admin/logout_action.jsp";
                    return;
                });
            } else {
                CARBON.showConfirmationDialog("Are you sure you want to delete <strong>'"+ propertyName +"'</strong> permanently?", function(){
                    var resourcePath = document.getElementById('propRPath').value;
                    new Ajax.Request('../properties/properties-ajaxprocessor.jsp',
                    {
                        method:'post',
                        parameters: {path: resourcePath, name: propertyName, remove:'true'},

                        onSuccess: function(transport) {
                            $('resourceProperties').innerHTML = transport.responseText;
                            $('propertiesList').style.display = "";
                            $('propertiesIconExpanded').style.display = "";
                            $('propertiesIconMinimized').style.display = "none";
                            refreshMetadataSection(resourcePath);
                        },

                        onFailure: function() {
                        }
                    });
                }, null);
            }
        },
        onFailure: function(transport) {

        }
    });
}
function showProperties(){
	if($('propertiesIconExpanded').style.display == "none"){
	//We have to expand all and hide sum
	$('propertiesIconExpanded').style.display = "";
	$('propertiesIconMinimized').style.display = "none";
	$('propertiesExpanded').style.display = "";
	$('propertiesMinimized').style.display = "none";
	}
	else{
	$('propertiesIconExpanded').style.display = "none";
	$('propertiesIconMinimized').style.display = "";
	$('propertiesExpanded').style.display = "none";
	$('propertiesMinimized').style.display = "";
	}
}
